Bug 1971779 - IdeaPad 5 15ARE05 backlight screen is black when using keyboard to decrease brightness
Summary: IdeaPad 5 15ARE05 backlight screen is black when using keyboard to decrease b...
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-14 18:47 UTC by rugk
Modified: 2022-05-20 19:45 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-06-14 19:19:48 UTC
Type: Bug


Attachments (Terms of Use)

Description rugk 2021-06-14 18:47:35 UTC
1. Please describe the problem:
When using the keyboard key (Fn+F5) to make the screen less bright (i.e. reduce it's backlight), the screen just instantly goes black.
When I then press the key to increase the brightness (Fn+F6), it shows the **correct**(!) brightness of my screen.

Also, I can use all GNOME controls to control the brightness, this works flawlessly.

2. What is the Version-Release number of the kernel:
5.12.9-300.fc34.x86_64

3. Did it work previously in Fedora? If so, what kernel version did the issue
   *first* appear?  Old kernels are available for download at
   https://koji.fedoraproject.org/koji/packageinfo?packageID=8 :
Yes, it worked before the Fedora 34 upgrade. At the same time, I however, also did some bootloader updates.

4. Can you reproduce this issue? If so, please provide the steps to reproduce
   the issue below:
When booted, use the keyboard key (Fn+F5) to make the screen less bright.
Now your screen is black.
Press Fn+F6 to make it more bright again, which works.

Thus, controlling the brightness via the keyboard is a little harder now.

5. Does this problem occur with the latest Rawhide kernel? To install the
   Rawhide kernel, run ``sudo dnf install fedora-repos-rawhide`` followed by
   ``sudo dnf update --enablerepo=rawhide kernel``:
I'm on Silveblue, cannot test it (this way).

6. Are you running any modules that not shipped with directly Fedora's kernel?:
no

7. Please attach the kernel logs. You can get the complete kernel log
   for a boot with ``journalctl --no-hostname -k > dmesg.txt``. If the
   issue occurred on a previous boot, use the journalctl ``-b`` flag.

When the issue occurs, it shows me nothing special:

journalctl --no-hostname -k | tail
Jun 14 20:35:05 kernel: Lockdown: systemd-logind: hibernation is restricted; see man kernel_lockdown.7
Jun 14 20:38:39 kernel: EXT4-fs error (device sda2): __ext4_find_entry:1534: inode #523265: comm zsh: reading directory lblock 0
Jun 14 20:38:39 kernel: EXT4-fs error (device sda2): __ext4_find_entry:1534: inode #523265: comm zsh: reading directory lblock 0
Jun 14 20:38:39 kernel: EXT4-fs error (device sda2): __ext4_find_entry:1534: inode #523265: comm zsh: reading directory lblock 0
Jun 14 20:38:46 kernel: EXT4-fs error (device sda2): __ext4_find_entry:1534: inode #523265: comm zsh: reading directory lblock 0
Jun 14 20:38:46 kernel: EXT4-fs error (device sda2): __ext4_find_entry:1534: inode #523265: comm zsh: reading directory lblock 0
Jun 14 20:38:46 kernel: EXT4-fs error (device sda2): __ext4_find_entry:1534: inode #523265: comm zsh: reading directory lblock 0
Jun 14 20:39:04 kernel: EXT4-fs error (device sda2): __ext4_find_entry:1534: inode #2: comm zsh: reading directory lblock 0
Jun 14 20:39:04 kernel: EXT4-fs error (device sda2): __ext4_find_entry:1534: inode #2: comm zsh: reading directory lblock 0
Jun 14 20:39:04 kernel: EXT4-fs error (device sda2): __ext4_find_entry:1534: inode #2: comm zsh: reading directory lblock 0

Comment 1 rugk 2021-06-14 18:51:22 UTC
Here is what happens:
(output simplified to remove useless "this is a directory".

## before 
$ tail -n +1 /sys/class/backlight/amdgpu_bl0/*
==> /sys/class/backlight/amdgpu_bl0/actual_brightness <==
42

==> /sys/class/backlight/amdgpu_bl0/bl_power <==
0

==> /sys/class/backlight/amdgpu_bl0/brightness <==
158

## decrease brightness by *one* keypress -> black screen

$ tail -n +1 /sys/class/backlight/amdgpu_bl0/*
==> /sys/class/backlight/amdgpu_bl0/actual_brightness <==
42

==> /sys/class/backlight/amdgpu_bl0/bl_power <==
0

==> /sys/class/backlight/amdgpu_bl0/brightness <==
146

## increase brightness by *one* keypress again

$ tail -n +1 /sys/class/backlight/amdgpu_bl0/*
==> /sys/class/backlight/amdgpu_bl0/actual_brightness <==
42

==> /sys/class/backlight/amdgpu_bl0/bl_power <==
0

==> /sys/class/backlight/amdgpu_bl0/brightness <==
146

--

I.e. I guess the one keypress to increase the brightness does not actually increase the brightness, but just show the screen. **I think**.

Comment 2 rugk 2021-06-14 18:55:03 UTC
Damn, after rebooting it works now again.

$ uname -a 
Linux **** 5.12.9-300.fc34.x86_64 #1 SMP Thu Jun 3 13:51:40 UTC 2021 x86_64 x86_64 x86_64 GNU/Linux

Comment 3 Hans de Goede 2021-06-14 19:19:48 UTC
(In reply to rugk from comment #2)
> Damn, after rebooting it works now again.

Ok, looks like a fluke. One thing which stood out to me is the difference between actual_brightness and brightness, that looked weird / off to me. Is that difference still there?

Either way lets close this for now, feel free to re-open this if the problem happens again.

Comment 4 rugk 2021-08-25 20:45:06 UTC
So, I need to reopen it, because it is not a fluke and was reproducible multiple times for now.
The thing is, it is not immediately reproducible after a reboot, but only once I have used the device for some time. Once that happens, however, it is constantly reproducible until the next reboot.

I'm not sure what causes it, it could be:
* when you decrease the brightness up to 0% you can do this really low and nearly see nothing, which is quite extreme IMHO (though I personally like it) and I *guess* that's not how low it can go on Windows
* and/or it only is reproduce when the device went to standby once

Please let me know what other things I can do to help here.
Kernel version: 5.13.12-200.fc34.x86_64 #1 SMP Wed Aug 18 13:27:18 UTC 2021 x86_64 x86_64 x86_64 GNU/Linux

Note that there is a related issue for the same device, which is about the fact that the backlight is not correctly restored:
* https://discussion.fedoraproject.org/t/amd-amdgpu-bl0-backlight-not-restored/20445?u=rugk
* https://bugzilla.kernel.org/show_bug.cgi?id=203905

Again my test (this time run with sudo):

## before

$ tail -n +1 /sys/class/backlight/amdgpu_bl0/*
==> /sys/class/backlight/amdgpu_bl0/actual_brightness <==
53

==> /sys/class/backlight/amdgpu_bl0/bl_power <==
0

==> /sys/class/backlight/amdgpu_bl0/brightness <==
57

==> /sys/class/backlight/amdgpu_bl0/device <==
tail: error reading '/sys/class/backlight/amdgpu_bl0/device': Is a directory



## decrease brightness by *one* keypress -> black screen

$ tail -n +1 /sys/class/backlight/amdgpu_bl0/*
==> /sys/class/backlight/amdgpu_bl0/actual_brightness <==
53

==> /sys/class/backlight/amdgpu_bl0/bl_power <==
0

==> /sys/class/backlight/amdgpu_bl0/brightness <==
45

==> /sys/class/backlight/amdgpu_bl0/device <==
tail: error reading '/sys/class/backlight/amdgpu_bl0/device': Is a directory


## increase brightness by *one* keypress again


$ tail -n +1 /sys/class/backlight/amdgpu_bl0/*
==> /sys/class/backlight/amdgpu_bl0/actual_brightness <==
53

==> /sys/class/backlight/amdgpu_bl0/bl_power <==
0

==> /sys/class/backlight/amdgpu_bl0/brightness <==
45

==> /sys/class/backlight/amdgpu_bl0/device <==
tail: error reading '/sys/class/backlight/amdgpu_bl0/device': Is a directory


---

journalctl --no-hostname -k |grep amdgpu    
Aug 23 12:53:36 kernel: [drm] amdgpu kernel modesetting enabled.
Aug 23 12:53:36 kernel: amdgpu: Virtual CRAT table created for CPU
Aug 23 12:53:36 kernel: amdgpu: Topology: Add CPU node
Aug 23 12:53:36 kernel: fb0: switching to amdgpudrmfb from EFI VGA
Aug 23 12:53:36 kernel: amdgpu 0000:03:00.0: vgaarb: deactivate vga console
Aug 23 12:53:36 kernel: amdgpu 0000:03:00.0: enabling device (0006 -> 0007)
Aug 23 12:53:36 kernel: amdgpu 0000:03:00.0: amdgpu: Trusted Memory Zone (TMZ) feature enabled
Aug 23 12:53:36 kernel: amdgpu 0000:03:00.0: amdgpu: Fetched VBIOS from VFCT
Aug 23 12:53:36 kernel: amdgpu: ATOM BIOS: 113-RENOIR-025
Aug 23 12:53:36 kernel: amdgpu 0000:03:00.0: amdgpu: VRAM: 512M 0x000000F400000000 - 0x000000F41FFFFFFF (512M used)
Aug 23 12:53:36 kernel: amdgpu 0000:03:00.0: amdgpu: GART: 1024M 0x0000000000000000 - 0x000000003FFFFFFF
Aug 23 12:53:36 kernel: amdgpu 0000:03:00.0: amdgpu: AGP: 267419648M 0x000000F800000000 - 0x0000FFFFFFFFFFFF
Aug 23 12:53:36 kernel: [drm] amdgpu: 512M of VRAM memory ready
Aug 23 12:53:36 kernel: [drm] amdgpu: 3072M of GTT memory ready.
Aug 23 12:53:37 kernel: amdgpu 0000:03:00.0: amdgpu: RAS: optional ras ta ucode is not available
Aug 23 12:53:37 kernel: amdgpu 0000:03:00.0: amdgpu: RAP: optional rap ta ucode is not available
Aug 23 12:53:37 kernel: amdgpu 0000:03:00.0: amdgpu: SECUREDISPLAY: securedisplay ta ucode is not available
Aug 23 12:53:37 kernel: amdgpu 0000:03:00.0: amdgpu: SMU is initialized successfully!
Aug 23 12:53:37 kernel: kfd kfd: amdgpu: Allocated 3969056 bytes on gart
Aug 23 12:53:37 kernel: amdgpu: Virtual CRAT table created for GPU
Aug 23 12:53:37 kernel: amdgpu: Topology: Add dGPU node [0x1636:0x1002]
Aug 23 12:53:37 kernel: kfd kfd: amdgpu: added device 1002:1636
Aug 23 12:53:37 kernel: amdgpu 0000:03:00.0: amdgpu: SE 1, SH per SE 2, CU per SH 18, active_cu_number 28
Aug 23 12:53:37 kernel: fbcon: amdgpudrmfb (fb0) is primary device
Aug 23 12:53:37 kernel: amdgpu 0000:03:00.0: [drm] fb0: amdgpudrmfb frame buffer device
Aug 23 12:53:37 kernel: amdgpu 0000:03:00.0: amdgpu: ring gfx uses VM inv eng 0 on hub 0
Aug 23 12:53:37 kernel: amdgpu 0000:03:00.0: amdgpu: ring comp_1.0.0 uses VM inv eng 1 on hub 0
Aug 23 12:53:37 kernel: amdgpu 0000:03:00.0: amdgpu: ring comp_1.1.0 uses VM inv eng 4 on hub 0
Aug 23 12:53:37 kernel: amdgpu 0000:03:00.0: amdgpu: ring comp_1.2.0 uses VM inv eng 5 on hub 0
Aug 23 12:53:37 kernel: amdgpu 0000:03:00.0: amdgpu: ring comp_1.3.0 uses VM inv eng 6 on hub 0
Aug 23 12:53:37 kernel: amdgpu 0000:03:00.0: amdgpu: ring comp_1.0.1 uses VM inv eng 7 on hub 0
Aug 23 12:53:37 kernel: amdgpu 0000:03:00.0: amdgpu: ring comp_1.1.1 uses VM inv eng 8 on hub 0
Aug 23 12:53:37 kernel: amdgpu 0000:03:00.0: amdgpu: ring comp_1.2.1 uses VM inv eng 9 on hub 0
Aug 23 12:53:37 kernel: amdgpu 0000:03:00.0: amdgpu: ring comp_1.3.1 uses VM inv eng 10 on hub 0
Aug 23 12:53:37 kernel: amdgpu 0000:03:00.0: amdgpu: ring kiq_2.1.0 uses VM inv eng 11 on hub 0
Aug 23 12:53:37 kernel: amdgpu 0000:03:00.0: amdgpu: ring sdma0 uses VM inv eng 0 on hub 1
Aug 23 12:53:37 kernel: amdgpu 0000:03:00.0: amdgpu: ring vcn_dec uses VM inv eng 1 on hub 1
Aug 23 12:53:37 kernel: amdgpu 0000:03:00.0: amdgpu: ring vcn_enc0 uses VM inv eng 4 on hub 1
Aug 23 12:53:37 kernel: amdgpu 0000:03:00.0: amdgpu: ring vcn_enc1 uses VM inv eng 5 on hub 1
Aug 23 12:53:37 kernel: amdgpu 0000:03:00.0: amdgpu: ring jpeg_dec uses VM inv eng 6 on hub 1
Aug 23 12:53:37 kernel: [drm] Initialized amdgpu 3.41.0 20150101 for 0000:03:00.0 on minor 0
Aug 23 12:54:22 kernel: snd_hda_intel 0000:03:00.1: bound 0000:03:00.0 (ops amdgpu_dm_audio_component_bind_ops [amdgpu])
Aug 23 15:30:30 kernel: amdgpu 0000:03:00.0: amdgpu: RAS: optional ras ta ucode is not available
Aug 23 15:30:30 kernel: amdgpu 0000:03:00.0: amdgpu: RAP: optional rap ta ucode is not available
Aug 23 15:30:30 kernel: amdgpu 0000:03:00.0: amdgpu: SECUREDISPLAY: securedisplay ta ucode is not available
Aug 23 15:30:30 kernel: amdgpu 0000:03:00.0: amdgpu: SMU is resuming...
Aug 23 15:30:30 kernel: amdgpu 0000:03:00.0: amdgpu: dpm has been disabled
Aug 23 15:30:30 kernel: amdgpu 0000:03:00.0: amdgpu: SMU is resumed successfully!
Aug 23 15:30:30 kernel: amdgpu 0000:03:00.0: amdgpu: ring gfx uses VM inv eng 0 on hub 0
Aug 23 15:30:30 kernel: amdgpu 0000:03:00.0: amdgpu: ring comp_1.0.0 uses VM inv eng 1 on hub 0
Aug 23 15:30:30 kernel: amdgpu 0000:03:00.0: amdgpu: ring comp_1.1.0 uses VM inv eng 4 on hub 0
Aug 23 15:30:30 kernel: amdgpu 0000:03:00.0: amdgpu: ring comp_1.2.0 uses VM inv eng 5 on hub 0
Aug 23 15:30:30 kernel: amdgpu 0000:03:00.0: amdgpu: ring comp_1.3.0 uses VM inv eng 6 on hub 0
Aug 23 15:30:30 kernel: amdgpu 0000:03:00.0: amdgpu: ring comp_1.0.1 uses VM inv eng 7 on hub 0
Aug 23 15:30:30 kernel: amdgpu 0000:03:00.0: amdgpu: ring comp_1.1.1 uses VM inv eng 8 on hub 0
Aug 23 15:30:30 kernel: amdgpu 0000:03:00.0: amdgpu: ring comp_1.2.1 uses VM inv eng 9 on hub 0
Aug 23 15:30:30 kernel: amdgpu 0000:03:00.0: amdgpu: ring comp_1.3.1 uses VM inv eng 10 on hub 0
Aug 23 15:30:30 kernel: amdgpu 0000:03:00.0: amdgpu: ring kiq_2.1.0 uses VM inv eng 11 on hub 0
Aug 23 15:30:30 kernel: amdgpu 0000:03:00.0: amdgpu: ring sdma0 uses VM inv eng 0 on hub 1
Aug 23 15:30:30 kernel: amdgpu 0000:03:00.0: amdgpu: ring vcn_dec uses VM inv eng 1 on hub 1
Aug 23 15:30:30 kernel: amdgpu 0000:03:00.0: amdgpu: ring vcn_enc0 uses VM inv eng 4 on hub 1
Aug 23 15:30:30 kernel: amdgpu 0000:03:00.0: amdgpu: ring vcn_enc1 uses VM inv eng 5 on hub 1
Aug 23 15:30:30 kernel: amdgpu 0000:03:00.0: amdgpu: ring jpeg_dec uses VM inv eng 6 on hub 1
Aug 23 20:37:16 kernel: amdgpu 0000:03:00.0: amdgpu: RAS: optional ras ta ucode is not available
Aug 23 20:37:16 kernel: amdgpu 0000:03:00.0: amdgpu: RAP: optional rap ta ucode is not available
Aug 23 20:37:16 kernel: amdgpu 0000:03:00.0: amdgpu: SECUREDISPLAY: securedisplay ta ucode is not available
Aug 23 20:37:16 kernel: amdgpu 0000:03:00.0: amdgpu: SMU is resuming...
Aug 23 20:37:16 kernel: amdgpu 0000:03:00.0: amdgpu: dpm has been disabled
Aug 23 20:37:16 kernel: amdgpu 0000:03:00.0: amdgpu: SMU is resumed successfully!
Aug 23 20:37:16 kernel: amdgpu 0000:03:00.0: amdgpu: ring gfx uses VM inv eng 0 on hub 0
Aug 23 20:37:16 kernel: amdgpu 0000:03:00.0: amdgpu: ring comp_1.0.0 uses VM inv eng 1 on hub 0
Aug 23 20:37:16 kernel: amdgpu 0000:03:00.0: amdgpu: ring comp_1.1.0 uses VM inv eng 4 on hub 0
Aug 23 20:37:16 kernel: amdgpu 0000:03:00.0: amdgpu: ring comp_1.2.0 uses VM inv eng 5 on hub 0
Aug 23 20:37:16 kernel: amdgpu 0000:03:00.0: amdgpu: ring comp_1.3.0 uses VM inv eng 6 on hub 0
Aug 23 20:37:16 kernel: amdgpu 0000:03:00.0: amdgpu: ring comp_1.0.1 uses VM inv eng 7 on hub 0
Aug 23 20:37:16 kernel: amdgpu 0000:03:00.0: amdgpu: ring comp_1.1.1 uses VM inv eng 8 on hub 0
Aug 23 20:37:16 kernel: amdgpu 0000:03:00.0: amdgpu: ring comp_1.2.1 uses VM inv eng 9 on hub 0
Aug 23 20:37:16 kernel: amdgpu 0000:03:00.0: amdgpu: ring comp_1.3.1 uses VM inv eng 10 on hub 0
Aug 23 20:37:16 kernel: amdgpu 0000:03:00.0: amdgpu: ring kiq_2.1.0 uses VM inv eng 11 on hub 0
Aug 23 20:37:16 kernel: amdgpu 0000:03:00.0: amdgpu: ring sdma0 uses VM inv eng 0 on hub 1
Aug 23 20:37:16 kernel: amdgpu 0000:03:00.0: amdgpu: ring vcn_dec uses VM inv eng 1 on hub 1
Aug 23 20:37:16 kernel: amdgpu 0000:03:00.0: amdgpu: ring vcn_enc0 uses VM inv eng 4 on hub 1
Aug 23 20:37:16 kernel: amdgpu 0000:03:00.0: amdgpu: ring vcn_enc1 uses VM inv eng 5 on hub 1
Aug 23 20:37:16 kernel: amdgpu 0000:03:00.0: amdgpu: ring jpeg_dec uses VM inv eng 6 on hub 1
Aug 24 08:40:55 kernel: amdgpu 0000:03:00.0: amdgpu: RAS: optional ras ta ucode is not available
Aug 24 08:40:55 kernel: amdgpu 0000:03:00.0: amdgpu: RAP: optional rap ta ucode is not available
Aug 24 08:40:55 kernel: amdgpu 0000:03:00.0: amdgpu: SECUREDISPLAY: securedisplay ta ucode is not available
Aug 24 08:40:55 kernel: amdgpu 0000:03:00.0: amdgpu: SMU is resuming...
Aug 24 08:40:55 kernel: amdgpu 0000:03:00.0: amdgpu: dpm has been disabled
Aug 24 08:40:55 kernel: amdgpu 0000:03:00.0: amdgpu: SMU is resumed successfully!
Aug 24 08:40:55 kernel: amdgpu 0000:03:00.0: amdgpu: ring gfx uses VM inv eng 0 on hub 0
Aug 24 08:40:55 kernel: amdgpu 0000:03:00.0: amdgpu: ring comp_1.0.0 uses VM inv eng 1 on hub 0
Aug 24 08:40:55 kernel: amdgpu 0000:03:00.0: amdgpu: ring comp_1.1.0 uses VM inv eng 4 on hub 0
Aug 24 08:40:55 kernel: amdgpu 0000:03:00.0: amdgpu: ring comp_1.2.0 uses VM inv eng 5 on hub 0
Aug 24 08:40:55 kernel: amdgpu 0000:03:00.0: amdgpu: ring comp_1.3.0 uses VM inv eng 6 on hub 0
Aug 24 08:40:55 kernel: amdgpu 0000:03:00.0: amdgpu: ring comp_1.0.1 uses VM inv eng 7 on hub 0
Aug 24 08:40:55 kernel: amdgpu 0000:03:00.0: amdgpu: ring comp_1.1.1 uses VM inv eng 8 on hub 0
Aug 24 08:40:55 kernel: amdgpu 0000:03:00.0: amdgpu: ring comp_1.2.1 uses VM inv eng 9 on hub 0
Aug 24 08:40:55 kernel: amdgpu 0000:03:00.0: amdgpu: ring comp_1.3.1 uses VM inv eng 10 on hub 0
Aug 24 08:40:55 kernel: amdgpu 0000:03:00.0: amdgpu: ring kiq_2.1.0 uses VM inv eng 11 on hub 0
Aug 24 08:40:55 kernel: amdgpu 0000:03:00.0: amdgpu: ring sdma0 uses VM inv eng 0 on hub 1
Aug 24 08:40:55 kernel: amdgpu 0000:03:00.0: amdgpu: ring vcn_dec uses VM inv eng 1 on hub 1
Aug 24 08:40:55 kernel: amdgpu 0000:03:00.0: amdgpu: ring vcn_enc0 uses VM inv eng 4 on hub 1
Aug 24 08:40:55 kernel: amdgpu 0000:03:00.0: amdgpu: ring vcn_enc1 uses VM inv eng 5 on hub 1
Aug 24 08:40:55 kernel: amdgpu 0000:03:00.0: amdgpu: ring jpeg_dec uses VM inv eng 6 on hub 1
Aug 24 09:06:50 kernel: amdgpu 0000:03:00.0: amdgpu: RAS: optional ras ta ucode is not available
Aug 24 09:06:50 kernel: amdgpu 0000:03:00.0: amdgpu: RAP: optional rap ta ucode is not available
Aug 24 09:06:50 kernel: amdgpu 0000:03:00.0: amdgpu: SECUREDISPLAY: securedisplay ta ucode is not available
Aug 24 09:06:50 kernel: amdgpu 0000:03:00.0: amdgpu: SMU is resuming...
Aug 24 09:06:50 kernel: amdgpu 0000:03:00.0: amdgpu: dpm has been disabled
Aug 24 09:06:50 kernel: amdgpu 0000:03:00.0: amdgpu: SMU is resumed successfully!
Aug 24 09:06:50 kernel: amdgpu 0000:03:00.0: amdgpu: ring gfx uses VM inv eng 0 on hub 0
Aug 24 09:06:50 kernel: amdgpu 0000:03:00.0: amdgpu: ring comp_1.0.0 uses VM inv eng 1 on hub 0
Aug 24 09:06:50 kernel: amdgpu 0000:03:00.0: amdgpu: ring comp_1.1.0 uses VM inv eng 4 on hub 0
Aug 24 09:06:50 kernel: amdgpu 0000:03:00.0: amdgpu: ring comp_1.2.0 uses VM inv eng 5 on hub 0
Aug 24 09:06:50 kernel: amdgpu 0000:03:00.0: amdgpu: ring comp_1.3.0 uses VM inv eng 6 on hub 0
Aug 24 09:06:50 kernel: amdgpu 0000:03:00.0: amdgpu: ring comp_1.0.1 uses VM inv eng 7 on hub 0
Aug 24 09:06:50 kernel: amdgpu 0000:03:00.0: amdgpu: ring comp_1.1.1 uses VM inv eng 8 on hub 0
Aug 24 09:06:50 kernel: amdgpu 0000:03:00.0: amdgpu: ring comp_1.2.1 uses VM inv eng 9 on hub 0
Aug 24 09:06:50 kernel: amdgpu 0000:03:00.0: amdgpu: ring comp_1.3.1 uses VM inv eng 10 on hub 0
Aug 24 09:06:50 kernel: amdgpu 0000:03:00.0: amdgpu: ring kiq_2.1.0 uses VM inv eng 11 on hub 0
Aug 24 09:06:50 kernel: amdgpu 0000:03:00.0: amdgpu: ring sdma0 uses VM inv eng 0 on hub 1
Aug 24 09:06:50 kernel: amdgpu 0000:03:00.0: amdgpu: ring vcn_dec uses VM inv eng 1 on hub 1
Aug 24 09:06:50 kernel: amdgpu 0000:03:00.0: amdgpu: ring vcn_enc0 uses VM inv eng 4 on hub 1
Aug 24 09:06:50 kernel: amdgpu 0000:03:00.0: amdgpu: ring vcn_enc1 uses VM inv eng 5 on hub 1
Aug 24 09:06:50 kernel: amdgpu 0000:03:00.0: amdgpu: ring jpeg_dec uses VM inv eng 6 on hub 1
Aug 24 19:53:57 kernel: amdgpu 0000:03:00.0: amdgpu: RAS: optional ras ta ucode is not available
Aug 24 19:53:57 kernel: amdgpu 0000:03:00.0: amdgpu: RAP: optional rap ta ucode is not available
Aug 24 19:53:57 kernel: amdgpu 0000:03:00.0: amdgpu: SECUREDISPLAY: securedisplay ta ucode is not available
Aug 24 19:53:57 kernel: amdgpu 0000:03:00.0: amdgpu: SMU is resuming...
Aug 24 19:53:57 kernel: amdgpu 0000:03:00.0: amdgpu: dpm has been disabled
Aug 24 19:53:57 kernel: amdgpu 0000:03:00.0: amdgpu: SMU is resumed successfully!
Aug 24 19:53:57 kernel: amdgpu 0000:03:00.0: amdgpu: ring gfx uses VM inv eng 0 on hub 0
Aug 24 19:53:57 kernel: amdgpu 0000:03:00.0: amdgpu: ring comp_1.0.0 uses VM inv eng 1 on hub 0
Aug 24 19:53:57 kernel: amdgpu 0000:03:00.0: amdgpu: ring comp_1.1.0 uses VM inv eng 4 on hub 0
Aug 24 19:53:57 kernel: amdgpu 0000:03:00.0: amdgpu: ring comp_1.2.0 uses VM inv eng 5 on hub 0
Aug 24 19:53:57 kernel: amdgpu 0000:03:00.0: amdgpu: ring comp_1.3.0 uses VM inv eng 6 on hub 0
Aug 24 19:53:57 kernel: amdgpu 0000:03:00.0: amdgpu: ring comp_1.0.1 uses VM inv eng 7 on hub 0
Aug 24 19:53:57 kernel: amdgpu 0000:03:00.0: amdgpu: ring comp_1.1.1 uses VM inv eng 8 on hub 0
Aug 24 19:53:57 kernel: amdgpu 0000:03:00.0: amdgpu: ring comp_1.2.1 uses VM inv eng 9 on hub 0
Aug 24 19:53:57 kernel: amdgpu 0000:03:00.0: amdgpu: ring comp_1.3.1 uses VM inv eng 10 on hub 0
Aug 24 19:53:57 kernel: amdgpu 0000:03:00.0: amdgpu: ring kiq_2.1.0 uses VM inv eng 11 on hub 0
Aug 24 19:53:57 kernel: amdgpu 0000:03:00.0: amdgpu: ring sdma0 uses VM inv eng 0 on hub 1
Aug 24 19:53:57 kernel: amdgpu 0000:03:00.0: amdgpu: ring vcn_dec uses VM inv eng 1 on hub 1
Aug 24 19:53:57 kernel: amdgpu 0000:03:00.0: amdgpu: ring vcn_enc0 uses VM inv eng 4 on hub 1
Aug 24 19:53:57 kernel: amdgpu 0000:03:00.0: amdgpu: ring vcn_enc1 uses VM inv eng 5 on hub 1
Aug 24 19:53:57 kernel: amdgpu 0000:03:00.0: amdgpu: ring jpeg_dec uses VM inv eng 6 on hub 1
Aug 25 20:50:13 kernel: amdgpu 0000:03:00.0: amdgpu: RAS: optional ras ta ucode is not available
Aug 25 20:50:13 kernel: amdgpu 0000:03:00.0: amdgpu: RAP: optional rap ta ucode is not available
Aug 25 20:50:13 kernel: amdgpu 0000:03:00.0: amdgpu: SECUREDISPLAY: securedisplay ta ucode is not available
Aug 25 20:50:13 kernel: amdgpu 0000:03:00.0: amdgpu: SMU is resuming...
Aug 25 20:50:13 kernel: amdgpu 0000:03:00.0: amdgpu: dpm has been disabled
Aug 25 20:50:13 kernel: amdgpu 0000:03:00.0: amdgpu: SMU is resumed successfully!
Aug 25 20:50:13 kernel: amdgpu 0000:03:00.0: amdgpu: ring gfx uses VM inv eng 0 on hub 0
Aug 25 20:50:13 kernel: amdgpu 0000:03:00.0: amdgpu: ring comp_1.0.0 uses VM inv eng 1 on hub 0
Aug 25 20:50:13 kernel: amdgpu 0000:03:00.0: amdgpu: ring comp_1.1.0 uses VM inv eng 4 on hub 0
Aug 25 20:50:13 kernel: amdgpu 0000:03:00.0: amdgpu: ring comp_1.2.0 uses VM inv eng 5 on hub 0
Aug 25 20:50:13 kernel: amdgpu 0000:03:00.0: amdgpu: ring comp_1.3.0 uses VM inv eng 6 on hub 0
Aug 25 20:50:13 kernel: amdgpu 0000:03:00.0: amdgpu: ring comp_1.0.1 uses VM inv eng 7 on hub 0
Aug 25 20:50:13 kernel: amdgpu 0000:03:00.0: amdgpu: ring comp_1.1.1 uses VM inv eng 8 on hub 0
Aug 25 20:50:13 kernel: amdgpu 0000:03:00.0: amdgpu: ring comp_1.2.1 uses VM inv eng 9 on hub 0
Aug 25 20:50:13 kernel: amdgpu 0000:03:00.0: amdgpu: ring comp_1.3.1 uses VM inv eng 10 on hub 0
Aug 25 20:50:13 kernel: amdgpu 0000:03:00.0: amdgpu: ring kiq_2.1.0 uses VM inv eng 11 on hub 0
Aug 25 20:50:13 kernel: amdgpu 0000:03:00.0: amdgpu: ring sdma0 uses VM inv eng 0 on hub 1
Aug 25 20:50:13 kernel: amdgpu 0000:03:00.0: amdgpu: ring vcn_dec uses VM inv eng 1 on hub 1
Aug 25 20:50:13 kernel: amdgpu 0000:03:00.0: amdgpu: ring vcn_enc0 uses VM inv eng 4 on hub 1
Aug 25 20:50:13 kernel: amdgpu 0000:03:00.0: amdgpu: ring vcn_enc1 uses VM inv eng 5 on hub 1
Aug 25 20:50:13 kernel: amdgpu 0000:03:00.0: amdgpu: ring jpeg_dec uses VM inv eng 6 on hub 1

journalctl --no-hostname -k |head       
-- Journal begins at Tue 2020-11-03 17:35:19 CET, ends at Wed 2021-08-25 22:39:26 CEST. --
Aug 23 12:53:35 kernel: Linux version 5.13.12-200.fc34.x86_64 (mockbuild@bkernel01.iad2.fedoraproject.org) (gcc (GCC) 11.2.1 20210728 (Red Hat 11.2.1-1), GNU ld version 2.35.2-4.fc34) #1 SMP Wed Aug 18 13:27:18 UTC 2021
Aug 23 12:53:35 kernel: Command line: BOOT_IMAGE=(hd0,gpt2)/ostree/fedora-bd311d8a193bc72b82134e15a3a0c3c6d6d4916c2f369d0522f8afd8156c0b92/vmlinuz-5.13.12-200.fc34.x86_64 resume=/dev/mapper/fedora-swap rd.lvm.lv=fedora/root rd.luks.uuid=luks-08a02aba-fa31-4fde-a334-55f9e48a5048 rd.lvm.lv=fedora/swap rhgb quiet root=/dev/mapper/luks-08a02aba-fa31-4fde-a334-55f9e48a5048 ostree=/ostree/boot.1/fedora/bd311d8a193bc72b82134e15a3a0c3c6d6d4916c2f369d0522f8afd8156c0b92/0 nvme_core.default_ps_max_latency_us=5500
Aug 23 12:53:35 kernel: x86/fpu: Supporting XSAVE feature 0x001: 'x87 floating point registers'
Aug 23 12:53:35 kernel: x86/fpu: Supporting XSAVE feature 0x002: 'SSE registers'
Aug 23 12:53:35 kernel: x86/fpu: Supporting XSAVE feature 0x004: 'AVX registers'
Aug 23 12:53:35 kernel: x86/fpu: xstate_offset[2]:  576, xstate_sizes[2]:  256
Aug 23 12:53:35 kernel: x86/fpu: Enabled xstate features 0x7, context size is 832 bytes, using 'compacted' format.
Aug 23 12:53:35 kernel: BIOS-provided physical RAM map:
Aug 23 12:53:35 kernel: BIOS-e820: [mem 0x0000000000000000-0x000000000009efff] usable

[later]

Aug 23 12:53:35 kernel: efi: EFI v2.70 by Phoenix Technologies Ltd.
Aug 23 12:53:35 kernel: efi: ACPI=0xcd7fd000 ACPI 2.0=0xcd7fd014 TPMFinalLog=0xcd62f000 SMBIOS=0xc9669000 SMBIOS 3.0=0xc965c000 ESRT=0xc820a000 TPMEventLog=0xbf2de018 
Aug 23 12:53:35 kernel: secureboot: Secure boot enabled
Aug 23 12:53:35 kernel: Kernel is locked down from EFI Secure Boot mode; see man kernel_lockdown.7
Aug 23 12:53:35 kernel: SMBIOS 3.2.0 present.
Aug 23 12:53:35 kernel: DMI: LENOVO 81YQ/LNVNB161216, BIOS E7CN40WW 01/29/2021
Aug 23 12:53:35 kernel: tsc: Fast TSC calibration using PIT
Aug 23 12:53:35 kernel: tsc: Detected 1796.644 MHz processor
Aug 23 12:53:35 kernel: e820: update [mem 0x00000000-0x00000fff] usable ==> reserved
Aug 23 12:53:35 kernel: e820: remove [mem 0x000a0000-0x000fffff] usable
Aug 23 12:53:35 kernel: last_pfn = 0x40f340 max_arch_pfn = 0x400000000
Aug 23 12:53:35 kernel: x86/PAT: Configuration [0-7]: WB  WC  UC- UC  WB  WP  UC- WT  
Aug 23 12:53:35 kernel: last_pfn = 0xce800 max_arch_pfn = 0x400000000
Aug 23 12:53:35 kernel: esrt: Reserving ESRT space from 0x00000000c820a000 to 0x00000000c820a088.
Aug 23 12:53:35 kernel: Using GB pages for direct mapping
Aug 23 12:53:35 kernel: secureboot: Secure boot enabled
Aug 23 12:53:35 kernel: RAMDISK: [mem 0x5c41b000-0x600a2fff]

[snip]

Aug 23 12:53:35 kernel: Spectre V1 : Mitigation: usercopy/swapgs barriers and __user pointer sanitization
Aug 23 12:53:35 kernel: Spectre V2 : Mitigation: Full AMD retpoline
Aug 23 12:53:35 kernel: Spectre V2 : Spectre v2 / SpectreRSB mitigation: Filling RSB on context switch
Aug 23 12:53:35 kernel: Spectre V2 : Enabling Restricted Speculation for firmware calls
Aug 23 12:53:35 kernel: Spectre V2 : mitigation: Enabling conditional Indirect Branch Prediction Barrier
Aug 23 12:53:35 kernel: Spectre V2 : User space: Mitigation: STIBP via seccomp and prctl
Aug 23 12:53:35 kernel: Speculative Store Bypass: Mitigation: Speculative Store Bypass disabled via prctl and seccomp
Aug 23 12:53:35 kernel: Freeing SMP alternatives memory: 44K
Aug 23 12:53:35 kernel: smpboot: CPU0: AMD Ryzen 7 4800U with Radeon Graphics (family: 0x17, model: 0x60, stepping: 0x1)
Aug 23 12:53:35 kernel: Performance Events: Fam17h+ core perfctr, AMD PMU driver.
Aug 23 12:53:35 kernel: ... version:                0
Aug 23 12:53:35 kernel: ... bit width:              48
Aug 23 12:53:35 kernel: ... generic registers:      6
Aug 23 12:53:35 kernel: ... value mask:             0000ffffffffffff
Aug 23 12:53:35 kernel: ... max period:             00007fffffffffff
Aug 23 12:53:35 kernel: ... fixed-purpose events:   0
Aug 23 12:53:35 kernel: ... event mask:             000000000000003f

Comment 5 rugk 2021-08-25 20:54:25 UTC
I did not trust myself, so I did the test again.

## Before

tail -n +1 /sys/class/backlight/amdgpu_bl0/*
==> /sys/class/backlight/amdgpu_bl0/actual_brightness <==
53

==> /sys/class/backlight/amdgpu_bl0/bl_power <==
0

==> /sys/class/backlight/amdgpu_bl0/brightness <==
63

==> /sys/class/backlight/amdgpu_bl0/device <==
tail: Fehler beim Lesen von '/sys/class/backlight/amdgpu_bl0/device': Ist ein Verzeichnis


## Pressing "down" -> screen goes black

tail -n +1 /sys/class/backlight/amdgpu_bl0/*
==> /sys/class/backlight/amdgpu_bl0/actual_brightness <==
53

==> /sys/class/backlight/amdgpu_bl0/bl_power <==
0

==> /sys/class/backlight/amdgpu_bl0/brightness <==
51

==> /sys/class/backlight/amdgpu_bl0/device <==
tail: Fehler beim Lesen von '/sys/class/backlight/amdgpu_bl0/device': Ist ein Verzeichnis

## Pressing "up" again

tail -n +1 /sys/class/backlight/amdgpu_bl0/*
==> /sys/class/backlight/amdgpu_bl0/actual_brightness <==
53

==> /sys/class/backlight/amdgpu_bl0/bl_power <==
0

==> /sys/class/backlight/amdgpu_bl0/brightness <==
51

==> /sys/class/backlight/amdgpu_bl0/device <==
tail: Fehler beim Lesen von '/sys/class/backlight/amdgpu_bl0/device': Ist ein Verzeichnis


______________


Some more info:

## Lowest brightness possible (pressed via keyboard) -> screen goes black, because I needed to press the down key

tail -n +1 /sys/class/backlight/amdgpu_bl0/*
==> /sys/class/backlight/amdgpu_bl0/actual_brightness <==
53

==> /sys/class/backlight/amdgpu_bl0/bl_power <==
0

==> /sys/class/backlight/amdgpu_bl0/brightness <==
2

==> /sys/class/backlight/amdgpu_bl0/device <==
tail: Fehler beim Lesen von '/sys/class/backlight/amdgpu_bl0/device': Ist ein Verzeichnis


## If I press "one key up" when I was at the lowest brightness before

tail -n +1 /sys/class/backlight/amdgpu_bl0/*
==> /sys/class/backlight/amdgpu_bl0/actual_brightness <==
53

==> /sys/class/backlight/amdgpu_bl0/bl_power <==
0

==> /sys/class/backlight/amdgpu_bl0/brightness <==
2

==> /sys/class/backlight/amdgpu_bl0/device <==
tail: Fehler beim Lesen von '/sys/class/backlight/amdgpu_bl0/device': Ist ein Verzeichnis

## Lowest brightness manually set via GNOME's slider (screen stays visible)

tail -n +1 /sys/class/backlight/amdgpu_bl0/*
==> /sys/class/backlight/amdgpu_bl0/actual_brightness <==
53

==> /sys/class/backlight/amdgpu_bl0/bl_power <==
0

==> /sys/class/backlight/amdgpu_bl0/brightness <==
2

==> /sys/class/backlight/amdgpu_bl0/device <==
tail: Fehler beim Lesen von '/sys/class/backlight/amdgpu_bl0/device': Ist ein Verzeichnis


## Highest brightness possible (again set via keyboard)

tail -n +1 /sys/class/backlight/amdgpu_bl0/*
==> /sys/class/backlight/amdgpu_bl0/actual_brightness <==
53

==> /sys/class/backlight/amdgpu_bl0/bl_power <==
0

==> /sys/class/backlight/amdgpu_bl0/brightness <==
255

==> /sys/class/backlight/amdgpu_bl0/device <==
tail: Fehler beim Lesen von '/sys/class/backlight/amdgpu_bl0/device': Ist ein Verzeichnis

## When I press "one key down" from the highest brightness -> screen goes black, because I needed to press the down key

tail -n +1 /sys/class/backlight/amdgpu_bl0/*
==> /sys/class/backlight/amdgpu_bl0/actual_brightness <==
53

==> /sys/class/backlight/amdgpu_bl0/bl_power <==
0

==> /sys/class/backlight/amdgpu_bl0/brightness <==
255

==> /sys/class/backlight/amdgpu_bl0/device <==
tail: Fehler beim Lesen von '/sys/class/backlight/amdgpu_bl0/device': Ist ein Verzeichnis

## Highest brightness manually set via GNOME's slider

tail -n +1 /sys/class/backlight/amdgpu_bl0/*
==> /sys/class/backlight/amdgpu_bl0/actual_brightness <==
53

==> /sys/class/backlight/amdgpu_bl0/bl_power <==
0

==> /sys/class/backlight/amdgpu_bl0/brightness <==
255

==> /sys/class/backlight/amdgpu_bl0/device <==
tail: Fehler beim Lesen von '/sys/class/backlight/amdgpu_bl0/device': Ist ein Verzeichnis

Comment 6 rugk 2021-08-25 21:04:35 UTC
Some more possibly useful stuff:

$ journalctl --no-hostname -k |grep backlight
Aug 23 12:54:21 kernel: ideapad_acpi VPC2004:00: Keyboard backlight control not available

$ journalctl --no-hostname |grep backlight|head -20
Nov 03 17:35:35 systemd[1]: Created slice system-systemd\x2dbacklight.slice.
Nov 03 17:35:36 systemd[1]: Starting Load/Save Screen Backlight Brightness of backlight:amdgpu_bl0...
Nov 03 17:35:36 audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-backlight@backlight:amdgpu_bl0 comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Nov 03 17:35:36 systemd[1]: Finished Load/Save Screen Backlight Brightness of backlight:amdgpu_bl0.
Nov 03 20:12:46 kernel: WARNING: CPU: 10 PID: 29561 at drivers/gpu/drm/amd/amdgpu/../display/dc/core/dc_link.c:2546 dc_link_set_backlight_level+0x8a/0xf0 [amdgpu]
Nov 03 20:12:46 kernel: RIP: 0010:dc_link_set_backlight_level+0x8a/0xf0 [amdgpu]
Nov 03 20:12:46 kernel:  amdgpu_dm_backlight_update_status+0xb4/0xc0 [amdgpu]
Nov 03 20:12:46 kernel:  backlight_suspend+0x6a/0x80
Nov 14 11:30:25 systemd[1]: Stopping Load/Save Screen Backlight Brightness of backlight:amdgpu_bl0...
Nov 14 11:30:25 systemd[1]: systemd-backlight@backlight:amdgpu_bl0.service: Succeeded.
Nov 14 11:30:25 systemd[1]: Stopped Load/Save Screen Backlight Brightness of backlight:amdgpu_bl0.
Nov 14 11:30:25 audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-backlight@backlight:amdgpu_bl0 comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Nov 14 11:30:25 systemd[1]: Removed slice system-systemd\x2dbacklight.slice.
Nov 14 11:32:39 systemd[1]: Created slice system-systemd\x2dbacklight.slice.
Nov 14 11:32:40 systemd[1]: Starting Load/Save Screen Backlight Brightness of backlight:amdgpu_bl0...
Nov 14 11:32:40 systemd[1]: Finished Load/Save Screen Backlight Brightness of backlight:amdgpu_bl0.
Nov 14 11:32:40 audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-backlight@backlight:amdgpu_bl0 comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Nov 14 13:43:25 kernel: WARNING: CPU: 10 PID: 19260 at drivers/gpu/drm/amd/amdgpu/../display/dc/core/dc_link.c:2546 dc_link_set_backlight_level+0x8a/0xf0 [amdgpu]
Nov 14 13:43:25 kernel: RIP: 0010:dc_link_set_backlight_level+0x8a/0xf0 [amdgpu]
Nov 14 13:43:25 kernel:  amdgpu_dm_backlight_update_status+0xb4/0xc0 [amdgpu]

journalctl --no-hostname |grep backlight|tail
Aug 23 12:52:31 systemd[1]: Stopping Load/Save Screen Backlight Brightness of backlight:amdgpu_bl0...
Aug 23 12:52:31 systemd[1]: systemd-backlight@backlight:amdgpu_bl0.service: Deactivated successfully.
Aug 23 12:52:31 systemd[1]: Stopped Load/Save Screen Backlight Brightness of backlight:amdgpu_bl0.
Aug 23 12:52:31 audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-backlight@backlight:amdgpu_bl0 comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Aug 23 12:52:31 systemd[1]: Removed slice Slice /system/systemd-backlight.
Aug 23 12:54:21 systemd[1]: Created slice Slice /system/systemd-backlight.
Aug 23 12:54:21 kernel: ideapad_acpi VPC2004:00: Keyboard backlight control not available
Aug 23 12:54:21 systemd[1]: Starting Load/Save Screen Backlight Brightness of backlight:amdgpu_bl0...
Aug 23 12:54:21 systemd[1]: Finished Load/Save Screen Backlight Brightness of backlight:amdgpu_bl0.
Aug 23 12:54:21 audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-backlight@backlight:amdgpu_bl0 comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'

Comment 7 Hans de Goede 2021-08-26 07:41:01 UTC
Based on comment 5, it looks like the issue is that the brightness-up key presses don't work somehow.

What happens when you have reproduced the problem (black screen which you are unable to turn back on again) if you ssh to the machine and then do an echo with a higher value like this:

sudo sh -c 'echo 63 > /sys/class/backlight/amdgpu_bl0/brightness'

I would expect that to restore the screen working condition, which means we need to figure out why the laptop stops responding to "brightness up" key presses.

Comment 8 rugk 2021-08-28 11:45:38 UTC
I don't need SSH as I can just use the "arrow up" key and use the previously entered command in my terminal, so, anyway, this just makes it easier to do… :)

But anyway, it does not help, nope…

$ sudo sh -c 'echo 63 > /sys/class/backlight/amdgpu_bl0/brightness'

$ tail -n +1 /sys/class/backlight/amdgpu_bl0/*                     
==> /sys/class/backlight/amdgpu_bl0/actual_brightness <==
73

==> /sys/class/backlight/amdgpu_bl0/bl_power <==
0

==> /sys/class/backlight/amdgpu_bl0/brightness <==
63

==> /sys/class/backlight/amdgpu_bl0/device <==
tail: Fehler beim Lesen von '/sys/class/backlight/amdgpu_bl0/device': Ist ein Verzeichnis


--

I see the command works when my screen is "normal" (i.e. not black) and as you can see above it also sets the correct value (and I can see that if I increase the brightness with "brightness up" again), but the "bug" (black screen) just seems to overwrite anything/the "real brightness".

---

> which means we need to figure out why the laptop stops responding to "brightness up" key presses.

Actually, that was never the issue. It always responded for "brightness up" (which allows me to escape out of the buggy black screen).
Also "brightness down" actually works – internally. I can see that if I press it long enough and then press "brightness up" (once) again the screen is indeed darker.
Just **in addition** to "decrease brightness b -x" the "brightness down" key **also** makes the screen go black.

Just as if the code had a wrong additional line there and makes it "shut backlight off, if brightness down key is pressed", and, respectively, "enable backlight, if brightness up key is pressed".

Comment 9 Hans de Goede 2021-09-05 19:59:08 UTC
It looks like I might have misunderstood this bug. I have read it a second time and I think I missed an important part the first time. Let me see if I understand this bug correctly now, please answer the following questions:

1. Your bug is that when pressing brightness-down the screen goes black, independent of the previous brightness-level (e.g. this even happens when the brightness was 100%) instead of the brightness moving to a lower setting as requested, correct?

2. When this happens you can *always* make the LCD panel contents visible again by pressing the brightness up key, correct?

3. You can work-around this issue and still make the brightness lower by pressing brightness-down twice (or more) followed by one brightness up key-press, correct?

Assuming I have all that correct, I wonder what happens if you try to decrease the brightness using e.g. the brightness slider in GNOME-shell's top-right system-menu. Or simply by directly echo-ing a lower then current value in sysfs (see comment 7) ?

Comment 10 rugk 2021-09-05 20:16:34 UTC
1. Correct.
2. Correct.
3. Correct.

And let me know if anything else is not clear or I should have explained sth. in a more understandable way.

The brightness slider in GNOME works without any problem, it's really only the keyboard key.
AFAIK/IIRC (cannot reproduce it right now as I rebooted) also echo'ing always works.

Comment 11 Hans de Goede 2021-10-04 10:27:21 UTC
So if echo-ing always works, then it is not the brightness setting code itself. But GNOME does not do anything other then the echo-ing when you press the keys.

So it seems that the hardware itself is doing something "extra" when you press the brightness-down hotkey.

All in all I'm all out of ideas how to further debug / fix this, sorry.

Comment 12 Ben Cotton 2022-05-12 15:46:52 UTC
This message is a reminder that Fedora Linux 34 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 34 on 2022-06-07.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '34'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 34 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.


Note You need to log in before you can comment on or make changes to this bug.